Subject: [Idr] RFC4724: Clarification on Graceful Restart Mechanism for BGP

From: Tulasi Rami Reddy N <[email-masked]>
Date: Wed, 27 Feb 2019 23:09:07 +0530

Hi All,

I see below info in sec 4.2 of RFC4724. Can this be generalized, saying any
capability mismatch?

For example: If add-path capability is not received for some AF in the
re-established session, should

we retain the stale marked routes till EoR and then stale cleanup?

*<snip>*

*4.2.  Procedures for the Receiving Speaker>*

*if a specific address family is not included*

*in the newly received Graceful Restart Capability, or if the Graceful*

*Restart Capability is not received in the re-established session at*

*all, then the Receiving Speaker MUST immediately remove all the stale*

*routes from the peer that it is retaining for that address family.*

*</snip>*

Tulasi.